public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-power/bbswitch/
Date: Fri, 24 Nov 2023 13:54:26 +0000 (UTC)	[thread overview]
Message-ID: <1700834044.002fd0676e5f7871db7c0703b3180284e44dceef.pacho@gentoo> (raw)

commit:     002fd0676e5f7871db7c0703b3180284e44dceef
Author:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 22 21:11:30 2023 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Nov 24 13:54:04 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=002fd067

sys-power/bbswitch: Migrate to linux-mod-r1

Closes: https://bugs.gentoo.org/908714
Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/33938
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 .../bbswitch/bbswitch-0.8_p20211129-r1.ebuild      | 59 ++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/sys-power/bbswitch/bbswitch-0.8_p20211129-r1.ebuild b/sys-power/bbswitch/bbswitch-0.8_p20211129-r1.ebuild
new file mode 100644
index 000000000000..e9ef961a0828
--- /dev/null
+++ b/sys-power/bbswitch/bbswitch-0.8_p20211129-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-mod-r1
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Bumblebee-Project/${PN}.git"
+	EGIT_BRANCH="develop"
+else
+	COMMIT="23891174a80ea79c7720bcc7048a5c2bfcde5cd9"
+	SRC_URI="https://github.com/Bumblebee-Project/bbswitch/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/bbswitch-${COMMIT}"
+fi
+
+DESCRIPTION="Toggle discrete NVIDIA Optimus graphics card"
+HOMEPAGE="https://github.com/Bumblebee-Project/bbswitch"
+
+SLOT="0"
+LICENSE="GPL-3+"
+IUSE=""
+
+DEPEND="
+	virtual/linux-sources
+	sys-kernel/linux-headers
+"
+RDEPEND=""
+
+PATCHES=( "${FILESDIR}/${PN}-kernel-5.18.patch" )
+
+pkg_setup() {
+	linux-mod-r1_pkg_setup
+}
+
+src_prepare() {
+	# Fix build failure, bug #513542 and bug #761370
+	sed "s%^KDIR :=.*%KDIR := ${KV_OUT_DIR:-$KERNEL_DIR}%g" -i Makefile || die
+
+	default
+}
+
+src_compile() {
+	local modlist=( bbswitch=acpi )
+	local modargs=(
+		KVERSION=${KV_FULL}
+	)
+	linux-mod-r1_src_compile
+}
+
+src_install() {
+	einstalldocs
+
+	insinto /etc/modprobe.d
+	newins "${FILESDIR}"/bbswitch.modprobe bbswitch.conf
+	linux-mod-r1_src_install
+}


             reply	other threads:[~2023-11-24 13:54 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-24 13:54 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-05  7:18 [gentoo-commits] repo/gentoo:master commit in: sys-power/bbswitch/ Joonas Niilola
2024-08-05  7:18 Joonas Niilola
2024-07-13  5:59 Joonas Niilola
2024-07-13  5:59 Joonas Niilola
2022-05-27 21:24 Pacho Ramos
2022-05-27 21:24 Pacho Ramos
2022-05-22 20:08 Jakov Smolić
2022-05-22 18:46 Sam James
2021-12-21 18:54 Pacho Ramos
2021-09-06 13:20 Pacho Ramos
2021-09-04 21:29 Sam James
2021-09-01 13:39 Agostino Sarubbo
2021-07-08 13:01 Pacho Ramos
2021-07-08 13:01 Pacho Ramos
2021-02-14 16:23 Pacho Ramos
2021-01-14 11:19 Pacho Ramos
2020-12-26 13:20 Piotr Karbowski
2019-11-21  8:40 Joonas Niilola
2019-03-09 16:50 Piotr Karbowski
2019-03-09 16:50 Piotr Karbowski
2019-02-25 20:28 Piotr Karbowski
2018-04-01  4:19 Matt Turner
2017-02-16 22:35 NP Hardass
2017-02-04 15:44 Pacho Ramos
2015-10-31 15:33 Ian Delaney
2015-09-22 18:47 Pacho Ramos
2015-09-22 18:47 Pacho Ramos
2015-09-22  5:14 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1700834044.002fd0676e5f7871db7c0703b3180284e44dceef.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox